## angelfish 25.08.0

=== debian/changelog ===
angelfish (25.08.0-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:38:35 +0000

angelfish (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:00:40 +0000

angelfish (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:12:57 +0000

angelfish (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:27:35 +0000

angelfish (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:02:00 +0000

angelfish (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:22:07 +0000

angelfish (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:54:39 +0000

angelfish (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:15:38 +0000

angelfish (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:13:50 +0000

angelfish (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:02:51 +0000

angelfish (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:26:42 +0000

angelfish (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:51:12 +0000

angelfish (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:22:47 +0000

angelfish (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:17:35 +0000

angelfish (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:59:31 +0000

angelfish (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:08:10 +0000

angelfish (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:00:12 +0000

angelfish (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:48:41 +0000

angelfish (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:26:00 +0000

angelfish (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:24:28 +0000

angelfish (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:03:45 +0000

angelfish (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:51:41 +0000

angelfish (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:33:42 +0000

angelfish (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:33:20 +0000

angelfish (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:09:37 +0000

angelfish (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 16:25:35 +0000

angelfish (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 16:23:09 +0000

angelfish (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Oct 2022 16:23:06 +0000

angelfish (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:25:28 +0000

angelfish (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 16:23:07 +0000

angelfish (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 16:23:07 +0000

angelfish (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 16:23:07 +0000

angelfish (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 16:23:03 +0000

angelfish (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:23:12 +0000

angelfish (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:18 +0000

plasma-angelfish (21.05-0neon) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Sat, 29 Feb 2020 11:48:57 +0100

plasma-angelfish (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 13 Feb 2020 10:57:13 +0100

plasma-angelfish (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 12 Nov 2019 20:56:48 +0100

plasma-angelfish (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 08 Aug 2019 22:21:22 +0200

plasma-angelfish (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 21 May 2019 16:04:32 +0200

plasma-angelfish (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Fri, 26 Apr 2019 16:12:19 +0200

plasma-angelfish (0+git20190318-1) unstable; urgency=medium

  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Mon, 18 Mar 2019 22:11:41 +0100

plasma-angelfish (0+git20190224-1) unstable; urgency=medium

  * Add missing qml module dependencies
  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 24 Feb 2019 12:36:29 +0100

plasma-angelfish (0+git20180828-1) unstable; urgency=medium

  * Initial Release.

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 12 Aug 2018 10:42:07 +0200
