=== debian/control ===
Source: angelfish
Section: net
Priority: optional
Build-Depends: cargo-1.81,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               libfuturesql6-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               rustc-1.81
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/angelfish.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/angelfish
Maintainer: Neon CI <neon@kde.org>

Package: angelfish
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-purpose,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Small webbrowser for mobile devices
 Webbrowser based on QtWebEngine and QtQuickControls2

Package: plasma-angelfish
Architecture: any
Section: oldlibs
Priority: optional
Depends: angelfish, ${misc:Depends}
Description: Empty transitional package
 This package can be removed
