=== debian/changelog ===
angelfish (25.08.2-1) unstable; urgency=medium

  * Team Upload.
  * New Upstream version.
  * Drop myself from uploaders
  * Drop Redundant "Rules-Requires-Root: no"
  * Add B-D on libkf6crash-dev
  * Fix "old-fsf-address-in-copyright-file"
  * Add org.kde.angelfish.core and org.kde.angelfish.webapp to overrides
  * Update filepaths in d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 16:10:53 +0530
