=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               cargo,
               corrosion,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               pkg-kde-tools,
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
               rustc,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.
