## angelfish 25.08.2+p24.04+vstable+git20251019.0558

=== debian/changelog ===
angelfish (25.08.2+p24.04+vstable+git20251019.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:58:33 +0000

angelfish (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:08:59 +0000
