=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	mkdir -p debian/angelfish/etc/apparmor.d
	cp debian/angelfish-apparmor debian/angelfish/etc/apparmor.d/usr.bin.angelfish
	dh_apparmor --profile-name=usr.bin.angelfish -pangelfish
