## angelfish 25.08.3+p24.04+vunstable+git20251122.0214

=== debian/changelog ===
angelfish (25.08.3+p24.04+vunstable+git20251122.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 02:14:43 +0000

angelfish (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:20 +1000
