=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Rules-Requires-Root: no

Package: angelfish
Architecture: amd64 arm64 armhf
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Suggests: apparmor,
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.
