## angelfish 25.12.0+p24.04+vstable+git20260101.0147

=== debian/changelog ===
angelfish (25.12.0+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:14 +0000
