## angelfish 25.12.0+p24.04+vstable+git20260103.0440

=== debian/changelog ===
angelfish (25.12.0+p24.04+vstable+git20260103.0440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:40:31 +0000
