## angelfish 25.12.1+p24.04+vstable+git20260106.1830

=== debian/changelog ===
angelfish (25.12.1+p24.04+vstable+git20260106.1830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:30:34 +0000

angelfish (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:26 +1000
