=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
         browsermanager.cpp
         bookmarkshistorymodel.cpp
         dbmanager.cpp
-        iconimageprovider.cpp
         urlutils.cpp
         urlobserver.cpp
         useragent.cpp
