## angelfish 25.12.2+p24.04+vstable+git20260218.0325

=== debian/changelog ===
angelfish (25.12.2+p24.04+vstable+git20260218.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:25:03 +0000

angelfish (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:52:11 +0000
