## angelfish 25.12.2+p24.04+vstable+git20260219.0432

=== debian/changelog ===
angelfish (25.12.2+p24.04+vstable+git20260219.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:32:46 +0000
